Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::DOFTransform Class Reference

DOFTransform - encapsulates Multigen DOF behavior. More...

Inheritance diagram for osgSim::DOFTransform:

[legend]
List of all members.

## Public Types
enum | MultOrder { PRH, PHR, HPR, HRP, RPH, RHP }
## Public Member Functions
| DOFTransform ()
| constructor
| DOFTransform (const DOFTransform &dof, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| copy constructor
| META_Node (osgSim, DOFTransform)
virtual void | traverse (osg::NodeVisitor &nv)
| Traverse downwards : calls children's accept method with NodeVisitor.
void | setMinHPR (const osg::Vec3 &hpr)
const osg::Vec3 & | getMinHPR () const
void | setMaxHPR (const osg::Vec3 &hpr)
const osg::Vec3 & | getMaxHPR () const
void | setIncrementHPR (const osg::Vec3 &hpr)
const osg::Vec3 & | getIncrementHPR () const
void | setCurrentHPR (const osg::Vec3 &hpr)
const osg::Vec3 & | getCurrentHPR () const
void | updateCurrentHPR (const osg::Vec3 &hpr)
void | setMinTranslate (const osg::Vec3 &translate)
const osg::Vec3 & | getMinTranslate () const
void | setMaxTranslate (const osg::Vec3 &translate)
const osg::Vec3 & | getMaxTranslate () const
void | setIncrementTranslate (const osg::Vec3 &translate)
const osg::Vec3 & | getIncrementTranslate () const
void | setCurrentTranslate (const osg::Vec3 &translate)
const osg::Vec3 & | getCurrentTranslate () const
void | updateCurrentTranslate (const osg::Vec3 &translate)
void | setMinScale (const osg::Vec3 &scale)
const osg::Vec3 & | getMinScale () const
void | setMaxScale (const osg::Vec3 &scale)
const osg::Vec3 & | getMaxScale () const
void | setIncrementScale (const osg::Vec3 &scale)
const osg::Vec3 & | getIncrementScale () const
void | setCurrentScale (const osg::Vec3 &scale)
const osg::Vec3 & | getCurrentScale () const
void | updateCurrentScale (const osg::Vec3 &scale)
void | setPutMatrix (const osg::Matrix &put)
const osg::Matrix & | getPutMatrix () const
void | setInversePutMatrix (const osg::Matrix &inversePut)
const osg::Matrix & | getInversePutMatrix () const
void | setLimitationFlags (unsigned long flags)
unsigned long | getLimitationFlags () const
void | setHPRMultOrder (const MultOrder order)
const MultOrder | getHPRMultOrder () const
void | setAnimationOn (bool do_animate)
bool | getAnimationOn () const
void | animate (float deltaTime)
virtual bool | computeLocalToWorldMatrix (osg::Matrix &matrix, osg::NodeVisitor *nv) const
virtual bool | computeWorldToLocalMatrix (osg::Matrix &matrix, osg::NodeVisitor *nv) const
## Protected Member Functions
virtual | ~DOFTransform ()
## Protected Attributes
int | _previousTraversalNumber
double | _previousTime
osg::Vec3 | _minHPR
osg::Vec3 | _maxHPR
osg::Vec3 | _currentHPR
osg::Vec3 | _incrementHPR
osg::Vec3 | _minTranslate
osg::Vec3 | _maxTranslate
osg::Vec3 | _currentTranslate
osg::Vec3 | _incrementTranslate
osg::Vec3 | _minScale
osg::Vec3 | _maxScale
osg::Vec3 | _currentScale
osg::Vec3 | _incrementScale
osg::Matrix | _Put
osg::Matrix | _inversePut
unsigned long | _limitationFlags
bool | _animationOn
unsigned short | _increasingFlags
| flags indicating whether value is incerasing or decreasing in animation bits form right to left, 1 means increasing while 0 is decreasing 0 = x translation 1 = y translation 2 = z translation 3 = pitch 4 = roll 5 = yaw 6 = x scale 7 = y scale 8 = z scale
MultOrder | _multOrder

## Detailed Description

DOFTransform - encapsulates Multigen DOF behavior.

## Member Enumeration Documentation

enum osgSim::DOFTransform::MultOrder

  | Enumeration values:
  PRH |
  PHR |
  HPR |
  HRP |
  RPH |
  RHP |

## Constructor & Destructor Documentation

osgSim::DOFTransform::DOFTransform | ( |  | ) |

| constructor

osgSim::DOFTransform::DOFTransform | ( | const DOFTransform & | dof,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

| copy constructor

virtual osgSim::DOFTransform::~DOFTransform | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osgSim::DOFTransform::animate | ( | float | deltaTime | ) |

virtual bool osgSim::DOFTransform::computeLocalToWorldMatrix | ( | osg::Matrix & | matrix,
|  | osg::NodeVisitor * | nv
| ) | const`[virtual]`

| Reimplemented from osg::Transform.

virtual bool osgSim::DOFTransform::computeWorldToLocalMatrix | ( | osg::Matrix & | matrix,
|  | osg::NodeVisitor * | nv
| ) | const`[virtual]`

| Reimplemented from osg::Transform.

bool osgSim::DOFTransform::getAnimationOn | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getCurrentHPR | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getCurrentScale | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getCurrentTranslate | ( |  | ) | const`[inline]`

const MultOrder osgSim::DOFTransform::getHPRMultOrder | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getIncrementHPR | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getIncrementScale | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getIncrementTranslate | ( |  | ) | const`[inline]`

const osg::Matrix& osgSim::DOFTransform::getInversePutMatrix | ( |  | ) | const`[inline]`

unsigned long osgSim::DOFTransform::getLimitationFlags | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getMaxHPR | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getMaxScale | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getMaxTranslate | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getMinHPR | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getMinScale | ( |  | ) | const`[inline]`

const osg::Vec3& osgSim::DOFTransform::getMinTranslate | ( |  | ) | const`[inline]`

const osg::Matrix& osgSim::DOFTransform::getPutMatrix | ( |  | ) | const`[inline]`

osgSim::DOFTransform::META_Node | ( | osgSim | ,
|  | DOFTransform |
| ) |

void osgSim::DOFTransform::setAnimationOn | ( | bool | do_animate | ) | `[inline]`

void osgSim::DOFTransform::setCurrentHPR | ( | const osg::Vec3 & | hpr | ) | `[inline]`

void osgSim::DOFTransform::setCurrentScale | ( | const osg::Vec3 & | scale | ) | `[inline]`

void osgSim::DOFTransform::setCurrentTranslate | ( | const osg::Vec3 & | translate | ) | `[inline]`

void osgSim::DOFTransform::setHPRMultOrder | ( | const MultOrder | order | ) | `[inline]`

void osgSim::DOFTransform::setIncrementHPR | ( | const osg::Vec3 & | hpr | ) | `[inline]`

void osgSim::DOFTransform::setIncrementScale | ( | const osg::Vec3 & | scale | ) | `[inline]`

void osgSim::DOFTransform::setIncrementTranslate | ( | const osg::Vec3 & | translate | ) | `[inline]`

void osgSim::DOFTransform::setInversePutMatrix | ( | const osg::Matrix & | inversePut | ) | `[inline]`

void osgSim::DOFTransform::setLimitationFlags | ( | unsigned long | flags | ) | `[inline]`

void osgSim::DOFTransform::setMaxHPR | ( | const osg::Vec3 & | hpr | ) | `[inline]`

void osgSim::DOFTransform::setMaxScale | ( | const osg::Vec3 & | scale | ) | `[inline]`

void osgSim::DOFTransform::setMaxTranslate | ( | const osg::Vec3 & | translate | ) | `[inline]`

void osgSim::DOFTransform::setMinHPR | ( | const osg::Vec3 & | hpr | ) | `[inline]`

void osgSim::DOFTransform::setMinScale | ( | const osg::Vec3 & | scale | ) | `[inline]`

void osgSim::DOFTransform::setMinTranslate | ( | const osg::Vec3 & | translate | ) | `[inline]`

void osgSim::DOFTransform::setPutMatrix | ( | const osg::Matrix & | put | ) | `[inline]`

virtual void osgSim::DOFTransform::traverse | ( | osg::NodeVisitor & | nv | ) | `[virtual]`

| Traverse downwards : calls children's accept method with NodeVisitor. Reimplemented from osg::Group.

void osgSim::DOFTransform::updateCurrentHPR | ( | const osg::Vec3 & | hpr | ) |

void osgSim::DOFTransform::updateCurrentScale | ( | const osg::Vec3 & | scale | ) |

void osgSim::DOFTransform::updateCurrentTranslate | ( | const osg::Vec3 & | translate | ) |

## Member Data Documentation

bool osgSim::DOFTransform::_animationOn`[protected]`

osg::Vec3 osgSim::DOFTransform::_currentHPR`[protected]`

osg::Vec3 osgSim::DOFTransform::_currentScale`[protected]`

osg::Vec3 osgSim::DOFTransform::_currentTranslate`[protected]`

unsigned short osgSim::DOFTransform::_increasingFlags`[protected]`

| flags indicating whether value is incerasing or decreasing in animation bits form right to left, 1 means increasing while 0 is decreasing 0 = x translation 1 = y translation 2 = z translation 3 = pitch 4 = roll 5 = yaw 6 = x scale 7 = y scale 8 = z scale

osg::Vec3 osgSim::DOFTransform::_incrementHPR`[protected]`

osg::Vec3 osgSim::DOFTransform::_incrementScale`[protected]`

osg::Vec3 osgSim::DOFTransform::_incrementTranslate`[protected]`

osg::Matrix osgSim::DOFTransform::_inversePut`[protected]`

unsigned long osgSim::DOFTransform::_limitationFlags`[protected]`

osg::Vec3 osgSim::DOFTransform::_maxHPR`[protected]`

osg::Vec3 osgSim::DOFTransform::_maxScale`[protected]`

osg::Vec3 osgSim::DOFTransform::_maxTranslate`[protected]`

osg::Vec3 osgSim::DOFTransform::_minHPR`[protected]`

osg::Vec3 osgSim::DOFTransform::_minScale`[protected]`

osg::Vec3 osgSim::DOFTransform::_minTranslate`[protected]`

MultOrder osgSim::DOFTransform::_multOrder`[protected]`

double osgSim::DOFTransform::_previousTime`[protected]`

int osgSim::DOFTransform::_previousTraversalNumber`[protected]`

osg::Matrix osgSim::DOFTransform::_Put`[protected]`

The documentation for this class was generated from the following file:

- DOFTransform